{lib, ...}: let
  inherit (lib.marleyos) enabled;
in {
  imports = [./hardware-configuration.nix ./mounts.nix ./autorandr.nix];

  boot.loader.systemd-boot.enable = true;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "nyx";

  marleyos = {
    hasNvidia = true;
    mounts.babeshare = enabled;
    wayland.hyprland = enabled;

    appearance = {
      base = enabled;
      console = enabled;
    };

    programs = {
      fish = enabled;
      nh = enabled;
      steam = enabled;
    };

    services = {
      ly = enabled;
    };
  };

  system.stateVersion = "24.05";
}
